# Monitor Session Status Endpoint: POST /webhook-url Version: v0 Security: Bearer Authentication ## Request fields (application/json): - `session_id` (string, required) The identifier of the interaction with the user within the scope of the Hosted Payment Page - `transaction_id` (string) The transaction identifier in Ratepay - `partner_transaction_id` (string) The transaction identifier on the merchant side - `shop_buyer_id` (string) The buyer identifier on the merchant side - `session_status` (string, required) The current status of the record. CREATED - the session has just been created by the merchant, but the buyer still didn't do anything. IN_PROGRESS - the session is being processed by Ratepay. COMPLETED - the transaction has been successfully completed. ERROR - some processing error has happened (please refer to the field decline_reasons). EXPIRED - the buyer didn't take any action within 30 minutes. CANCELED - the buyer clicked on the cancel button. FRAUD_CANCELLATION_REQUESTED - Ratepay advises for this transaction to be canceled by the merchant. OTP_PENDING - the buyer has been requested to validate their phone number, and Ratepay is still waiting for the verification. Enum: "CREATED", "IN_PROGRESS", "COMPLETED", "ERROR", "EXPIRED", "CANCELED", "FRAUD_CANCELLATION_REQUESTED", "OTP_PENDING" - `decline_reasons` (object) - `decline_reasons.category` (string) - `decline_reasons.reasons` (array) - `created_date` (string) The date and time when the status was first created - `updated_date` (string) The date and time when the status was last updated ## Response 2xx fields ## Response 5xx fields ## Response 4xx fields